/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.ims.rcs.uce.presence.subscribe;

import android.annotation.NonNull;
import android.net.Uri;
import android.os.RemoteException;
import android.telephony.ims.aidl.ISubscribeResponseCallback;

import com.android.ims.rcs.uce.ControllerBase;

import java.util.List;

/**
 * The interface related to the SUBSCRIBE request
 */
public interface SubscribeController extends ControllerBase {
    /**
     * Request the cached capabilities for the requested contacts if they exist. If not, perform
     * a capability request on the network for the capabilities of these contacts.
     */
    void requestCapabilities(@NonNull List<Uri> contactUris, @NonNull ISubscribeResponseCallback c)
            throws RemoteException;
}
